binMean1D {oce} | R Documentation

## Bin-average f=f(x)

### Description

Average the values of a vector `f` in bins defined on another vector `x`. A common example might be averaging CTD profile data into pressure bins (see “Examples”).

### Usage

    binMean1D(x, f, xbreaks)

### Arguments

`x` | Vector of numerical values.
`f` | Vector of numerical values.
`xbreaks` | Vector of values of x at the boundaries between bins, calculated using `pretty` if not supplied.

### Value

A list with the following elements: the breaks (`xbreaks`, midpoints (`xmids`) between those breaks, the count (`number`) of `x` values between successive breaks, and the resultant average (`result`) of `f`, classified by the `x` breaks.

### Author(s)

Dan Kelley

### See Also

Other bin-related functions: `binApply1D`, `binApply2D`, `binAverage`, `binCount1D`, `binCount2D`, `binMean2D`

### Examples

    library(oce)
    data(ctd)
    z <- ctd[["z"]]
    T <- ctd[["temperature"]]
    plot(T, z)
    TT <- binMean1D(z, T, seq(-100, 0, 1))
    lines(TT$result, TT$xmids, col='red')

[Package oce version 0.9-22 Index]